:root {
  --base-color: #f7f8f8;
  --base-variant: white;
  --text-color: rgb(27, 27, 27);
  --secondary-text: rgb(182, 182, 182);
  --primary-color: black;
  --accent-color: red;
  --nav-text-color: white;
  --nav-color: #070808;
  --nav-select: #a8bcf3; /* #99b3bd;*/
  --skill-box: #a8bcf3;/*#898be6;*/
  --separator: rgb(201, 201, 201);
}

.darkmode {
  --base-color:#0d1117 ;
  --base-variant:#151b23;
  --text-color: #f0f0f0;
  --secondary-text: grey;
  --primary-color: white;
  --accent-color: red;
  --nav-text-color: white;
  --nav-color: #070808 ;
  --nav-select: #4b9ebe; /*#99b3bd;*/
  --skill-box: #4b9ebe;
  --separator: rgb(201, 201, 201);
}

html{
  scroll-behavior: smooth;
}

/* Mobile */
@media screen and (min-width: 0em) {

}

/* Tablet */
@media screen and (min-width: 48em) {
  
}

/* Small Desktop */
@media screen and (min-width: 64em) {
  
}

/* Large Desktop */
@media screen and (min-width: 1300px) {
  
}

/* :root {
  --base-color: white;
  --base-variant: white;
  --text-color: black;
  --secondary-text: rgb(182, 182, 182);
  --primary-color: black;
  --accent-color: red;
  --nav-text-color: white;
  --nav-color: #0d1117;
  --nav-select: #0069ff33;
  --skill-box: pink;
  --separator: rgb(201, 201, 201);
}

.darkmode {
  --base-color: #222831;
  --base-variant: #151b23;
  --text-color: white;
  --secondary-text: grey;
  --primary-color: white;
  --accent-color: red;
  --nav-text-color: white;
  --nav-color: #0d1117;
  --nav-select: #0069ff33;
  --skill-box: #f05454;
  --separator: rgb(201, 201, 201);
} */

.nav-bottom {
  display: flex;
  flex-direction: row;
  flex-wrap: nowrap;
  justify-content: space-evenly;
  align-content: center;
  position: absolute;
  bottom: 2vh;
  height: 5vh;
  width: 25vw;
}

#mail,
#github {
  height: 50px;
  width: 50px;
  display: flex;
  justify-content: center;
  align-items: center;
}

#mail svg,
#github svg {
  fill: white;
}

#theme-switch {
  padding: 0;
  border-radius: 50%;
  height: 50px;
  width: 50px;
  background-color: var(--base-variant);
  display: flex;
  justify-content: center;
  align-items: center;
}

#theme-switch svg {
  fill: var(--primary-color);
}

#theme-switch svg:last-child {
  display: none;
}

.darkmode #theme-switch svg:first-child {
  display: none;
}

.darkmode #theme-switch svg:last-child {
  display: block;
}

.img-pulsar {
  margin: 0px;
  width: 288px;
  height: 162px;
}

* {
  margin: 0;
}

body {
  font-family: "Quicksand", sans-serif;
  background-color: var(--base-color);
  color: var(--text-color);
  position: relative;
}

main {
  text-align: left;
  width: 75vw;
  word-wrap: break-word;
}

.text {
  width: 69vw;
  margin-left: 20px;
  margin-bottom: 5vh;
  padding-left: 10px;
  box-shadow: 0px 0px 11px var(--primary-color);
}

section {
  margin-left: 50px;
  padding-right: 50px;
}

section h1 {
  margin-bottom: 40px;
}

section p {
  padding: 1vh 0 1vh 0;
  background: var(--base-variant);
}

nav .test {
  display: grid;
  align-items: flex-start; /* Vertically centers items */
  height: 40vh; /* Set navbar height */
  /* position: fixed; */
  right: 0px;
  margin: auto;
  width: 24.9vw;
  grid-auto-flow: row; /* Align items in a row */
  background-color: var(--nav-color); /* Background color */
  color: var(--nav-text-color);
  margin-top: 1vh;
  margin-bottom: 1vh;
}

.info-container p {
  display: flex;
  justify-content: center;
  align-items: center;
  text-align: center;
  height: 10vh;
  padding: 0 10px 0 10px;
}

a.external-links {
  padding: 10px 10px;
  border: 1px outset buttonborder;
  border-radius: 3px;
  color: white;
  background-color: var(--primary-color);
  text-decoration: none;
}

.list-skills {
  display: flex;
  flex-wrap: wrap;
  list-style: none;
  gap: 8px;

  @media (min-width: 768px) {
    gap: 12px;
  }

  @media (min-width: 1280px) {
    gap: 16px;
  }
}

.tag {
  padding: 6px 12px;
  border-radius: 16px;
  font-weight: 600;
  background-color: var(--skill-box);
  color: var(--text-color);

  @media (min-width: 768px) {
    font-size: 14px;
    padding: 6px 12px;
  }

  @media (min-width: 1280px) {
    font-size: 15px;
    padding: 6px 14px;
  }
}

footer {
  margin-top: 20px;
  width: 75vw;
  text-align: center;
}

footer img {
  width: 75vw;
}

.img-simu{
  width: 75vw;
  left:0;
  top: 0;
  /* position: relative; */
}

.title-text{
  padding-top: 5vh;
  margin-bottom: 2vh;
  margin-left: 50px;
  padding-right: 50px;
}

.title-text h1{
  font-size: 65px;
  font-weight: 600;
  color: var(--text-color);
  margin-bottom: 40px;
}

.title-text h2{
  font-size: 35px;
  font-weight: 600;
  color: var(--secondary-text);
}

/*-- ------------------------ -->
<---         General          -->
<--- ------------------------ -*/

.seperator {
  content: " ";
  display: block;
  border-top: 2px solid var(--separator);
  border-bottom: 2px solid var(--separator);
  margin: 5vh 2vw 3vh 2vw;
}

.external-link{
  position: relative;
  text-decoration: none;
  font-weight: 600;
  color: var(--primary-color);
}

.external-link:before {
  content: "";
  position: absolute;
  display: block;
  width: 100%;
  height: 2px;
  bottom: 0;
  left: 0;
  background-color: var(--text-color);
  transform: scaleX(0);
  transition: transform 0.3s ease;
}

.external-link:hover::before {
  transform: scaleX(1);
}

.button-wrapper {
  align-items: center;
  text-align: center;
  margin-top: 30px;
}

a.button {
  --b: 3px; /* border thickness */
  --s: 0.0em; /* size of the corner */
  --color: var(--text-color);

  padding: calc(0.5em + var(--s)) calc(0.9em + var(--s));
  color: var(--color);
  --_p: var(--s);
  background: conic-gradient(
      from 90deg at var(--b) var(--b),
      #0000 90deg,
      var(--color) 0
    )
    var(--_p) var(--_p) / calc(100% - var(--b) - 2 * var(--_p))
    calc(100% - var(--b) - 2 * var(--_p));
  transition: 0.3s linear, color 0s, background-color 0s;
  outline: var(--b) solid #0000;
  outline-offset: 0.6em;
  font-size: 20px;
  font-weight: 600;

  border: 0;
  margin: 20px;
  text-decoration: none;

  user-select: none;
  -webkit-user-select: none;
  touch-action: manipulation;
}

a.button:hover,
a.button:focus-visible {
  --_p: 0px;
  outline-color: var(--color);
  outline-offset: 0.3em;
}

/*-- ------------------------ -->
<---         Navbar           -->
<--- ------------------------ -*/

nav {
  background-color: var(--nav-color);
  position: fixed;
  right: 0px;
  margin: auto;
  height: 100%;
  width: 25vw;
  color: var(--nav-text-color);
  border-left: 1px solid var(--nav-text-color);

  @media (min-width: 768px) {
    font-size: 1rem;
  }
  
  @media (min-width: 1280px) {
    font-size: 24px;
  }
}

nav h1 {
  height: 10vh;
  width: 100%;
  font-size: 50px;
  font-weight: 800;
  display: flex;
  justify-content: center;
  align-items: center;
  text-align: center;
}

.nav-container {
  display: flex;
  flex-wrap: wrap;
  height: 40vh;
  margin-top: 1vh;
  margin-bottom: 1vh;
  > div {
    flex: 0 0 25vw;
  }
}

.nav-items {
  width: 100%;
  font-weight: 500;
  display: flex;
  justify-content: center;
  align-items: center;
}

.nav-items a {
  text-align: center;
  text-decoration: none;
  color: var(--nav-text-color);
  width: 100%;
}

.active-nav{
  display: flex;
  justify-content: center;
  align-items: center;
  width: 100%;
  height: 100%;
  background-color: var(--nav-select);
  color: black;
}

.nav-container div .active-nav{
  color: black;
}

nav .logo-container {
  margin: auto;
  height: 10vh;
  width: 10vh;
  text-align: center;
}

.logo-container img {
  vertical-align: middle;
  width: 10vh;
  height: 10vh;
  transition: transform 0.75s ease-in-out;
}

.logo-container img:hover {
  transform: rotateY(180deg);
}

/*-- ------------------------ -->
<---          About           -->
<--- ------------------------ -*/

#about {
  padding-top: 5vh;
}

/*-- ------------------------ -->
<---       Publications       -->
<--- ------------------------ -*/

.publi-container {
  width: 69vw;
  color: var(--primary-color);
  padding: 30px 20px;
  box-shadow: 0px 0px 11px var(--primary-color);
  background-color: var(--base-variant);
}

.publi-container .paper-year {
  color: var(--text-color);
  padding: 30px 20px;
  display: flex;
  flex-direction: row;
}

.publi-container span {
  margin-right: 20px;
  display: inline-block;
  background-color: var(--skill-box);
  padding: 6px 12px;
  border-radius: 16px;
  font-weight: 600;
  text-align: center;
  width: 200px;
  height: 38px;
}

.paper-link{
  display: flex;
  justify-content: center;
  align-items: center;
  text-align: justify;
  vertical-align: center;
  text-decoration: none;
  color: var(--skill-box);
  font-size: 30px;
  font-weight: 600;
}

.paper p {
  display: inline-block;
  text-align: justify;
  align-items: center;
}


/*-- ------------------------ -->
<---       Curriculum         -->
<--- ------------------------ -*/

.timeline {
  width: 69vw;  
  color: var(--text-color);
  padding: 30px 20px;
  box-shadow: 0px 0px 11px var(--primary-color);
  background-color: var(--base-variant);
}

.timeline .event-container {
  display: flex;
  flex-direction: row;
}

.timeline .event-container span {
  margin-right: 20px;
  display: inline-block;
  background-color: var(--skill-box);
  padding: 7px 10px;
  border-radius: 16px;
  font-weight: 600;
  text-align: center;
  width: 65px;
  height: 40px;
}

.timeline .event-container .event {
  border-left: 2px solid var(--skill-box);
  padding-left: 20px;
}

.timeline .event-container:before {
  position: relative;
  content: "";
  width: 10px;
  height: 10px;
  background-color: var(--skill-box);
  border-radius: 50%;
  left: 91px;
  top: 10px;
}

.timeline .event-container .event h3 {
  color: var(--skill-box);
  font-weight: 600;
  font-size: 30px;
}
.timeline .event-container .event p {
  padding: 5px 0px 15px 0px;
  width: 60vw;
}

#research-experience{
  margin-top: 75px;
  margin-bottom: 25px;
}

/*-- ------------------------ -->
<---        Contact           -->
<--- ------------------------ -*/

